Debian Bug report logs - #599465
brcm80211 module missing

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Joerg Friedrich <Joerg.Friedrich@friedrich-kn.de>

Date: Thu, 7 Oct 2010 18:09:02 UTC

Severity: normal

Tags: experimental

Found in version 2.6.36~rc6-1~experimental.1

Fixed in version linux-2.6/2.6.36-1~experimental.1

Done: maximilian attems <max@stro.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599465; Package linux-2.6. (Thu, 07 Oct 2010 18:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joerg Friedrich <Joerg.Friedrich@friedrich-kn.de>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 07 Oct 2010 18:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joerg Friedrich <Joerg.Friedrich@friedrich-kn.de>
To: bugs@debian.org
Subject: brcm80211 module missing
Date: Thu, 7 Oct 2010 20:07:01 +0200
[Message part 1 (text/plain, inline)]
Package: linux-2.6
Version: 2.6.36~rc6-1~experimental.1
Severity: normal
Tags: experimental

module is missing from linux-image-2.6.36-rc6-amd64
linux-image-2.6.32-5-amd64 (2.6.32-23) has it

and changelog says its included since 2.6.36~rc5-1~experimental.1

config has included 
root@gucky:~# grep -i brcm80211 /boot/config-2.6.36-rc6-amd64 
CONFIG_BRCM80211=m
CONFIG_BRCM80211_PCI=y

but the module seems not to be built


-- Package-specific info:
** Kernel log: boot messages should be attached

** Model information
sys_vendor: SAMSUNG ELECTRONICS CO., LTD.
product_name: N150P/N210P/N220P          
product_version: Not Applicable
chassis_vendor: SAMSUNG ELECTRONICS CO., LTD.
chassis_version: N/A         
bios_vendor: Phoenix Technologies Ltd.
bios_version: 01KY.M008.20100430.RHU
board_vendor: SAMSUNG ELECTRONICS CO., LTD.
board_name: N150P/N210P/N220P          
board_version: Not Applicable

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation N10 Family DMI Bridge [8086:a010]
	Subsystem: Samsung Electronics Co Ltd Device [144d:c072]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller [0300]: Intel Corporation N10 Family Integrated Graphics Controller [8086:a011] (prog-if 00 [VGA controller])
	Subsystem: Samsung Electronics Co Ltd Device [144d:c072]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 30
	Region 0: Memory at f0300000 (32-bit, non-prefetchable) [size=512K]
	Region 1: I/O ports at 18d0 [size=8]
	Region 2: Memory at d0000000 (32-bit, prefetchable) [size=256M]
	Region 3: Memory at f0000000 (32-bit, non-prefetchable) [size=1M]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915

00:02.1 Display controller [0380]: Intel Corporation N10 Family Integrated Graphics Controller [8086:a012]
	Subsystem: Samsung Electronics Co Ltd Device [144d:c072]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at f0380000 (32-bit, non-prefetchable) [size=512K]
	Capabilities: <access denied>

00:1b.0 Audio device [0403]: Intel Corporation N10/ICH 7 Family High Definition Audio Controller [8086:27d8] (rev 02)
	Subsystem: Samsung Electronics Co Ltd Device [144d:c072]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 22
	Region 0: Memory at f0400000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:1c.0 PCI bridge [0604]: Intel Corporation N10/ICH 7 Family PCI Express Port 1 [8086:27d0] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=0
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: f0100000-f01fffff
	Prefetchable memory behind bridge: 0000000080000000-00000000801fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.1 PCI bridge [0604]: Intel Corporation N10/ICH 7 Family PCI Express Port 2 [8086:27d2] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=07, subordinate=07, sec-latency=0
	I/O behind bridge: 00004000-00004fff
	Memory behind bridge: 80200000-803fffff
	Prefetchable memory behind bridge: 0000000080400000-00000000805fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.2 PCI bridge [0604]: Intel Corporation N10/ICH 7 Family PCI Express Port 3 [8086:27d4] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=09, subordinate=09, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: f0200000-f02fffff
	Prefetchable memory behind bridge: 0000000080600000-00000000807fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.3 PCI bridge [0604]: Intel Corporation N10/ICH 7 Family PCI Express Port 4 [8086:27d6] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=0b, subordinate=0b, sec-latency=0
	I/O behind bridge: 00005000-00005fff
	Memory behind bridge: 80800000-809fffff
	Prefetchable memory behind bridge: 0000000080a00000-0000000080bfffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB UHCI Controller #1 [8086:27c8] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Samsung Electronics Co Ltd Device [144d:c072]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 4: I/O ports at 1820 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB UHCI Controller #2 [8086:27c9] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Samsung Electronics Co Ltd Device [144d:c072]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 4: I/O ports at 1840 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB UHCI Controller #3 [8086:27ca] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Samsung Electronics Co Ltd Device [144d:c072]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at 1860 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.3 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB UHCI Controller #4 [8086:27cb] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Samsung Electronics Co Ltd Device [144d:c072]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 16
	Region 4: I/O ports at 1880 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB2 EHCI Controller [8086:27cc] (rev 02) (prog-if 20 [EHCI])
	Subsystem: Samsung Electronics Co Ltd Device [144d:c072]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at f0604000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev e2) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=11, subordinate=11, sec-latency=32
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation NM10 Family LPC Controller [8086:27bc] (rev 02)
	Subsystem: Samsung Electronics Co Ltd Device [144d:c072]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.2 SATA controller [0106]: Intel Corporation N10/ICH7 Family SATA AHCI Controller [8086:27c1] (rev 02) (prog-if 01 [AHCI 1.0])
	Subsystem: Samsung Electronics Co Ltd Device [144d:c072]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 29
	Region 0: I/O ports at 18e8 [size=8]
	Region 1: I/O ports at 18dc [size=4]
	Region 2: I/O ports at 18e0 [size=8]
	Region 3: I/O ports at 18d8 [size=4]
	Region 4: I/O ports at 18c0 [size=16]
	Region 5: Memory at f0604400 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:1f.3 SMBus [0c05]: Intel Corporation N10/ICH 7 Family SMBus Controller [8086:27da] (rev 02)
	Subsystem: Samsung Electronics Co Ltd Device [144d:c072]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 19
	Region 4: I/O ports at 18a0 [size=32]
	Kernel driver in use: i801_smbus

05:00.0 Network controller [0280]: Broadcom Corporation BCM4313 802.11b/g LP-PHY [14e4:4727] (rev 01)
	Subsystem: Wistron NeWeb Corp. Device [185f:051a]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR+ <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f0100000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: brcm80211

09:00.0 Ethernet controller [0200]: Marvell Technology Group Ltd. 88E8040 PCI-E Fast Ethernet Controller [11ab:4354]
	Subsystem: Samsung Electronics Co Ltd Device [144d:c072]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 28
	Region 0: Memory at f0200000 (64-bit, non-prefetchable) [size=16K]
	Region 2: I/O ports at 2000 [size=256]
	Capabilities: <access denied>
	Kernel driver in use: sky2


** USB devices:
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 0a5c:219c Broadcom Corp. 
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 003: ID 0ac8:c33f Z-Star Microelectronics Corp. 
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.36-rc6-amd64 depends on:
ii  debconf [deb 1.5.35                      Debian configuration management sy
ii  initramfs-to 0.98.4                      tools for generating an initramfs
ii  linux-base   2.6.36~rc6-1~experimental.1 Linux image base package
ii  module-init- 3.12-1                      tools for managing Linux kernel mo

Versions of packages linux-image-2.6.36-rc6-amd64 recommends:
ii  firmware-lin 2.6.36~rc5-1~experimental.1 Binary firmware for various driver

Versions of packages linux-image-2.6.36-rc6-amd64 suggests:
pn  grub | lilo                   <none>     (no description available)
pn  linux-doc-2.6.36              <none>     (no description available)

Versions of packages linux-image-2.6.36-rc6-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
ii  firmware-linux                0.26       Binary firmware for various driver
ii  firmware-linux-nonfree        0.26       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  linux-image-2.6.36-rc6-amd64/prerm/removing-running-kernel-2.6.36-rc6-amd64: true
  linux-image-2.6.36-rc6-amd64/postinst/depmod-error-initrd-2.6.36-rc6-amd64: false
  linux-image-2.6.36-rc6-amd64/postinst/ignoring-do-bootloader-2.6.36-rc6-amd64:
  linux-image-2.6.36-rc6-amd64/postinst/missing-firmware-2.6.36-rc6-amd64:
-- 
Jörg Friedrich

There are only 10 types of people:
Those who understand binary and those who don't.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599465; Package linux-2.6. (Thu, 07 Oct 2010 20:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 07 Oct 2010 20:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 599465@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: 599465@bugs.debian.org
Cc: Joerg Friedrich <Joerg.Friedrich@friedrich-kn.de>
Subject: Re: Bug#599465: brcm80211 module missing
Date: Thu, 7 Oct 2010 22:48:34 +0200
Hi

On Thursday 07 October 2010, Joerg Friedrich wrote:
> Package: linux-2.6
> Version: 2.6.36~rc6-1~experimental.1
> Severity: normal
> Tags: experimental
> 
> module is missing from linux-image-2.6.36-rc6-amd64
> linux-image-2.6.32-5-amd64 (2.6.32-23) has it
> 
> and changelog says its included since 2.6.36~rc5-1~experimental.1
> 
> config has included 
> root@gucky:~# grep -i brcm80211 /boot/config-2.6.36-rc6-amd64 
> CONFIG_BRCM80211=m
> CONFIG_BRCM80211_PCI=y
> 
> but the module seems not to be built
[...]

I actually fell over the same issue when cherry picking brcm8211 myself,
the bug is a extraneous closing paranthesis in 
debian/patches/features/all/staging-Add-initial-release-of-brcm80211.patch

[...]
diff --git a/drivers/staging/Makefile b/drivers/staging/Makefile
index cad2574..2e82589 100644
--- a/drivers/staging/Makefile
+++ b/drivers/staging/Makefile
@@ -14,6 +14,7 @@ obj-$(CONFIG_W35UND)		+= winbond/
 obj-$(CONFIG_PRISM2_USB)	+= wlan-ng/
 obj-$(CONFIG_ECHO)		+= echo/
 obj-$(CONFIG_OTUS)		+= otus/
+obj-$(CONFIG_BRCM80211))	+= brcm80211/
 obj-$(CONFIG_RT2860)		+= rt2860/
 obj-$(CONFIG_RT2870)		+= rt2870/
 obj-$(CONFIG_COMEDI)		+= comedi/
[...]


Regards
	Stefan Lippers-Hollmann




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599465; Package linux-2.6. (Fri, 08 Oct 2010 03:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 08 Oct 2010 03:57:04 GMT) Full text and rfc822 format available.

Message #15 received at 599465@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Stefan Lippers-Hollmann <s.L-H@gmx.de>, 599465@bugs.debian.org
Cc: Joerg Friedrich <Joerg.Friedrich@friedrich-kn.de>
Subject: Re: Bug#599465: brcm80211 module missing
Date: Fri, 08 Oct 2010 04:53:44 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2010-10-07 at 22:48 +0200, Stefan Lippers-Hollmann wrote:
> Hi
> 
> On Thursday 07 October 2010, Joerg Friedrich wrote:
> > Package: linux-2.6
> > Version: 2.6.36~rc6-1~experimental.1
> > Severity: normal
> > Tags: experimental
> > 
> > module is missing from linux-image-2.6.36-rc6-amd64
> > linux-image-2.6.32-5-amd64 (2.6.32-23) has it
> > 
> > and changelog says its included since 2.6.36~rc5-1~experimental.1
> > 
> > config has included 
> > root@gucky:~# grep -i brcm80211 /boot/config-2.6.36-rc6-amd64 
> > CONFIG_BRCM80211=m
> > CONFIG_BRCM80211_PCI=y
> > 
> > but the module seems not to be built
> [...]
> 
> I actually fell over the same issue when cherry picking brcm8211 myself,
> the bug is a extraneous closing paranthesis in 
> debian/patches/features/all/staging-Add-initial-release-of-brcm80211.patch
[...]

Oops, I applied the fix-up when backporting to sid but apparently forgot
to do that on trunk.  I'll do that in a moment.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Fri, 08 Oct 2010 04:06:03 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <max@stro.at>:
You have taken responsibility. (Thu, 28 Oct 2010 11:27:23 GMT) Full text and rfc822 format available.

Notification sent to Joerg Friedrich <Joerg.Friedrich@friedrich-kn.de>:
Bug acknowledged by developer. (Thu, 28 Oct 2010 11:27:23 GMT) Full text and rfc822 format available.

Message #22 received at 599465-close@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: 599465-close@bugs.debian.org
Subject: Bug#599465: fixed in linux-2.6 2.6.36-1~experimental.1
Date: Thu, 28 Oct 2010 11:23:37 +0000
Source: linux-2.6
Source-Version: 2.6.36-1~experimental.1

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.36-1~experimental.1_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.36-1~experimental.1_all.deb
linux-2.6_2.6.36-1~experimental.1.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.36-1~experimental.1.diff.gz
linux-2.6_2.6.36-1~experimental.1.dsc
  to main/l/linux-2.6/linux-2.6_2.6.36-1~experimental.1.dsc
linux-2.6_2.6.36.orig.tar.gz
  to main/l/linux-2.6/linux-2.6_2.6.36.orig.tar.gz
linux-base_2.6.36-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-base_2.6.36-1~experimental.1_all.deb
linux-doc-2.6.36_2.6.36-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-doc-2.6.36_2.6.36-1~experimental.1_all.deb
linux-headers-2.6.36-trunk-all-amd64_2.6.36-1~experimental.1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.36-trunk-all-amd64_2.6.36-1~experimental.1_amd64.deb
linux-headers-2.6.36-trunk-all_2.6.36-1~experimental.1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.36-trunk-all_2.6.36-1~experimental.1_amd64.deb
linux-headers-2.6.36-trunk-amd64_2.6.36-1~experimental.1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.36-trunk-amd64_2.6.36-1~experimental.1_amd64.deb
linux-headers-2.6.36-trunk-common_2.6.36-1~experimental.1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.36-trunk-common_2.6.36-1~experimental.1_amd64.deb
linux-image-2.6.36-trunk-amd64-dbg_2.6.36-1~experimental.1_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.36-trunk-amd64-dbg_2.6.36-1~experimental.1_amd64.deb
linux-image-2.6.36-trunk-amd64_2.6.36-1~experimental.1_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.36-trunk-amd64_2.6.36-1~experimental.1_amd64.deb
linux-libc-dev_2.6.36-1~experimental.1_amd64.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.36-1~experimental.1_amd64.deb
linux-manual-2.6.36_2.6.36-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-manual-2.6.36_2.6.36-1~experimental.1_all.deb
linux-patch-debian-2.6.36_2.6.36-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.36_2.6.36-1~experimental.1_all.deb
linux-source-2.6.36_2.6.36-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-source-2.6.36_2.6.36-1~experimental.1_all.deb
linux-support-2.6.36-trunk_2.6.36-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-support-2.6.36-trunk_2.6.36-1~experimental.1_all.deb
linux-tools-2.6.36_2.6.36-1~experimental.1_amd64.deb
  to main/l/linux-2.6/linux-tools-2.6.36_2.6.36-1~experimental.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 599465@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <max@stro.at> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 27 Oct 2010 13:23:11 +0200
Source: linux-2.6
Binary: linux-tools-2.6.36 linux-source-2.6.36 linux-doc-2.6.36 linux-manual-2.6.36 linux-patch-debian-2.6.36 firmware-linux-free linux-support-2.6.36-trunk linux-base linux-libc-dev linux-headers-2.6.36-trunk-all linux-headers-2.6.36-trunk-all-alpha linux-headers-2.6.36-trunk-common linux-image-2.6.36-trunk-alpha-generic linux-headers-2.6.36-trunk-alpha-generic linux-image-2.6.36-trunk-alpha-smp linux-headers-2.6.36-trunk-alpha-smp linux-image-2.6.36-trunk-alpha-legacy linux-headers-2.6.36-trunk-alpha-legacy linux-headers-2.6.36-trunk-all-amd64 linux-image-2.6.36-trunk-amd64 linux-headers-2.6.36-trunk-amd64 linux-image-2.6.36-trunk-amd64-dbg linux-headers-2.6.36-trunk-all-armel linux-image-2.6.36-trunk-iop32x linux-headers-2.6.36-trunk-iop32x linux-image-2.6.36-trunk-ixp4xx linux-headers-2.6.36-trunk-ixp4xx linux-image-2.6.36-trunk-kirkwood linux-headers-2.6.36-trunk-kirkwood linux-image-2.6.36-trunk-orion5x linux-headers-2.6.36-trunk-orion5x
 linux-image-2.6.36-trunk-versatile linux-headers-2.6.36-trunk-versatile linux-headers-2.6.36-trunk-all-hppa linux-image-2.6.36-trunk-parisc linux-headers-2.6.36-trunk-parisc linux-image-2.6.36-trunk-parisc-smp linux-headers-2.6.36-trunk-parisc-smp linux-image-2.6.36-trunk-parisc64 linux-headers-2.6.36-trunk-parisc64 linux-image-2.6.36-trunk-parisc64-smp linux-headers-2.6.36-trunk-parisc64-smp linux-headers-2.6.36-trunk-all-i386 linux-image-2.6.36-trunk-486 linux-headers-2.6.36-trunk-486 linux-image-2.6.36-trunk-686 linux-headers-2.6.36-trunk-686 linux-image-2.6.36-trunk-686-bigmem linux-headers-2.6.36-trunk-686-bigmem linux-image-2.6.36-trunk-686-bigmem-dbg linux-headers-2.6.36-trunk-all-ia64 linux-image-2.6.36-trunk-itanium linux-headers-2.6.36-trunk-itanium linux-image-2.6.36-trunk-mckinley linux-headers-2.6.36-trunk-mckinley linux-headers-2.6.36-trunk-all-m68k linux-image-2.6.36-trunk-amiga linux-headers-2.6.36-trunk-amiga linux-image-2.6.36-trunk-atari
 linux-headers-2.6.36-trunk-atari linux-image-2.6.36-trunk-bvme6000 linux-headers-2.6.36-trunk-bvme6000 linux-image-2.6.36-trunk-mac linux-headers-2.6.36-trunk-mac linux-image-2.6.36-trunk-mvme147 linux-headers-2.6.36-trunk-mvme147 linux-image-2.6.36-trunk-mvme16x linux-headers-2.6.36-trunk-mvme16x linux-headers-2.6.36-trunk-all-mips linux-image-2.6.36-trunk-r4k-ip22 linux-headers-2.6.36-trunk-r4k-ip22 linux-image-2.6.36-trunk-r5k-ip32 linux-headers-2.6.36-trunk-r5k-ip32 linux-image-2.6.36-trunk-sb1-bcm91250a linux-headers-2.6.36-trunk-sb1-bcm91250a linux-image-2.6.36-trunk-sb1a-bcm91480b linux-headers-2.6.36-trunk-sb1a-bcm91480b linux-image-2.6.36-trunk-4kc-malta linux-headers-2.6.36-trunk-4kc-malta linux-image-2.6.36-trunk-5kc-malta linux-headers-2.6.36-trunk-5kc-malta linux-image-2.6.36-trunk-octeon linux-headers-2.6.36-trunk-octeon linux-headers-2.6.36-trunk-all-mipsel linux-image-2.6.36-trunk-r5k-cobalt linux-headers-2.6.36-trunk-r5k-cobalt
 linux-image-2.6.36-trunk-loongson-2f linux-headers-2.6.36-trunk-loongson-2f linux-headers-2.6.36-trunk-all-powerpc linux-image-2.6.36-trunk-powerpc linux-headers-2.6.36-trunk-powerpc linux-image-2.6.36-trunk-powerpc-smp linux-headers-2.6.36-trunk-powerpc-smp linux-image-2.6.36-trunk-powerpc64 linux-headers-2.6.36-trunk-powerpc64 linux-headers-2.6.36-trunk-all-s390 linux-image-2.6.36-trunk-s390x linux-headers-2.6.36-trunk-s390x linux-image-2.6.36-trunk-s390x-tape linux-headers-2.6.36-trunk-all-sh4 linux-image-2.6.36-trunk-sh7751r linux-headers-2.6.36-trunk-sh7751r linux-image-2.6.36-trunk-sh7785lcr linux-headers-2.6.36-trunk-sh7785lcr linux-headers-2.6.36-trunk-all-sparc linux-image-2.6.36-trunk-sparc64 linux-headers-2.6.36-trunk-sparc64 linux-image-2.6.36-trunk-sparc64-smp linux-headers-2.6.36-trunk-sparc64-smp
 linux-headers-2.6.36-trunk-all-sparc64
Architecture: source all amd64
Version: 2.6.36-1~experimental.1
Distribution: experimental
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <max@stro.at>
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.36 - Linux kernel specific documentation for version 2.6.36
 linux-headers-2.6.36-trunk-486 - Header files for Linux 2.6.36-trunk-486
 linux-headers-2.6.36-trunk-4kc-malta - Header files for Linux 2.6.36-trunk-4kc-malta
 linux-headers-2.6.36-trunk-5kc-malta - Header files for Linux 2.6.36-trunk-5kc-malta
 linux-headers-2.6.36-trunk-686 - Header files for Linux 2.6.36-trunk-686
 linux-headers-2.6.36-trunk-686-bigmem - Header files for Linux 2.6.36-trunk-686-bigmem
 linux-headers-2.6.36-trunk-all - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-alpha - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-amd64 - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-armel - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-hppa - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-i386 - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-ia64 - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-m68k - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-mips - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-mipsel - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-powerpc - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-s390 - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-sh4 - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-sparc - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-sparc64 - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-alpha-generic - Header files for Linux 2.6.36-trunk-alpha-generic
 linux-headers-2.6.36-trunk-alpha-legacy - Header files for Linux 2.6.36-trunk-alpha-legacy
 linux-headers-2.6.36-trunk-alpha-smp - Header files for Linux 2.6.36-trunk-alpha-smp
 linux-headers-2.6.36-trunk-amd64 - Header files for Linux 2.6.36-trunk-amd64
 linux-headers-2.6.36-trunk-amiga - Header files for Linux 2.6.36-trunk-amiga
 linux-headers-2.6.36-trunk-atari - Header files for Linux 2.6.36-trunk-atari
 linux-headers-2.6.36-trunk-bvme6000 - Header files for Linux 2.6.36-trunk-bvme6000
 linux-headers-2.6.36-trunk-common - Common header files for Linux 2.6.36-trunk
 linux-headers-2.6.36-trunk-iop32x - Header files for Linux 2.6.36-trunk-iop32x
 linux-headers-2.6.36-trunk-itanium - Header files for Linux 2.6.36-trunk-itanium
 linux-headers-2.6.36-trunk-ixp4xx - Header files for Linux 2.6.36-trunk-ixp4xx
 linux-headers-2.6.36-trunk-kirkwood - Header files for Linux 2.6.36-trunk-kirkwood
 linux-headers-2.6.36-trunk-loongson-2f - Header files for Linux 2.6.36-trunk-loongson-2f
 linux-headers-2.6.36-trunk-mac - Header files for Linux 2.6.36-trunk-mac
 linux-headers-2.6.36-trunk-mckinley - Header files for Linux 2.6.36-trunk-mckinley
 linux-headers-2.6.36-trunk-mvme147 - Header files for Linux 2.6.36-trunk-mvme147
 linux-headers-2.6.36-trunk-mvme16x - Header files for Linux 2.6.36-trunk-mvme16x
 linux-headers-2.6.36-trunk-octeon - Header files for Linux 2.6.36-trunk-octeon
 linux-headers-2.6.36-trunk-orion5x - Header files for Linux 2.6.36-trunk-orion5x
 linux-headers-2.6.36-trunk-parisc - Header files for Linux 2.6.36-trunk-parisc
 linux-headers-2.6.36-trunk-parisc-smp - Header files for Linux 2.6.36-trunk-parisc-smp
 linux-headers-2.6.36-trunk-parisc64 - Header files for Linux 2.6.36-trunk-parisc64
 linux-headers-2.6.36-trunk-parisc64-smp - Header files for Linux 2.6.36-trunk-parisc64-smp
 linux-headers-2.6.36-trunk-powerpc - Header files for Linux 2.6.36-trunk-powerpc
 linux-headers-2.6.36-trunk-powerpc-smp - Header files for Linux 2.6.36-trunk-powerpc-smp
 linux-headers-2.6.36-trunk-powerpc64 - Header files for Linux 2.6.36-trunk-powerpc64
 linux-headers-2.6.36-trunk-r4k-ip22 - Header files for Linux 2.6.36-trunk-r4k-ip22
 linux-headers-2.6.36-trunk-r5k-cobalt - Header files for Linux 2.6.36-trunk-r5k-cobalt
 linux-headers-2.6.36-trunk-r5k-ip32 - Header files for Linux 2.6.36-trunk-r5k-ip32
 linux-headers-2.6.36-trunk-s390x - Header files for Linux 2.6.36-trunk-s390x
 linux-headers-2.6.36-trunk-sb1-bcm91250a - Header files for Linux 2.6.36-trunk-sb1-bcm91250a
 linux-headers-2.6.36-trunk-sb1a-bcm91480b - Header files for Linux 2.6.36-trunk-sb1a-bcm91480b
 linux-headers-2.6.36-trunk-sh7751r - Header files for Linux 2.6.36-trunk-sh7751r
 linux-headers-2.6.36-trunk-sh7785lcr - Header files for Linux 2.6.36-trunk-sh7785lcr
 linux-headers-2.6.36-trunk-sparc64 - Header files for Linux 2.6.36-trunk-sparc64
 linux-headers-2.6.36-trunk-sparc64-smp - Header files for Linux 2.6.36-trunk-sparc64-smp
 linux-headers-2.6.36-trunk-versatile - Header files for Linux 2.6.36-trunk-versatile
 linux-image-2.6.36-trunk-486 - Linux 2.6.36 for old PCs
 linux-image-2.6.36-trunk-4kc-malta - Linux 2.6.36 for MIPS Malta
 linux-image-2.6.36-trunk-5kc-malta - Linux 2.6.36 for MIPS Malta (64-bit)
 linux-image-2.6.36-trunk-686 - Linux 2.6.36 for modern PCs
 linux-image-2.6.36-trunk-686-bigmem - Linux 2.6.36 for PCs with 4GB+ RAM
 linux-image-2.6.36-trunk-686-bigmem-dbg - Debugging infos for Linux 2.6.36-trunk-686-bigmem
 linux-image-2.6.36-trunk-alpha-generic - Linux 2.6.36 for Alpha
 linux-image-2.6.36-trunk-alpha-legacy - Linux 2.6.36 for Alpha Legacy
 linux-image-2.6.36-trunk-alpha-smp - Linux 2.6.36 for Alpha SMP
 linux-image-2.6.36-trunk-amd64 - Linux 2.6.36 for 64-bit PCs
 linux-image-2.6.36-trunk-amd64-dbg - Debugging infos for Linux 2.6.36-trunk-amd64
 linux-image-2.6.36-trunk-amiga - Linux 2.6.36 for Amiga
 linux-image-2.6.36-trunk-atari - Linux 2.6.36 for Atari
 linux-image-2.6.36-trunk-bvme6000 - Linux 2.6.36 for BVM BVME4000 and BVME6000
 linux-image-2.6.36-trunk-iop32x - Linux 2.6.36 for IOP32x
 linux-image-2.6.36-trunk-itanium - Linux 2.6.36 for Itanium
 linux-image-2.6.36-trunk-ixp4xx - Linux 2.6.36 for IXP4xx
 linux-image-2.6.36-trunk-kirkwood - Linux 2.6.36 for Marvell Kirkwood
 linux-image-2.6.36-trunk-loongson-2f - Linux 2.6.36 for Loongson 2F
 linux-image-2.6.36-trunk-mac - Linux 2.6.36 for Macintosh
 linux-image-2.6.36-trunk-mckinley - Linux 2.6.36 for Itanium II
 linux-image-2.6.36-trunk-mvme147 - Linux 2.6.36 for Motorola MVME147
 linux-image-2.6.36-trunk-mvme16x - Linux 2.6.36 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.36-trunk-octeon - Linux 2.6.36 for Octeon
 linux-image-2.6.36-trunk-orion5x - Linux 2.6.36 for Marvell Orion
 linux-image-2.6.36-trunk-parisc - Linux 2.6.36 for 32-bit PA-RISC
 linux-image-2.6.36-trunk-parisc-smp - Linux 2.6.36 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.36-trunk-parisc64 - Linux 2.6.36 for 64-bit PA-RISC
 linux-image-2.6.36-trunk-parisc64-smp - Linux 2.6.36 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.36-trunk-powerpc - Linux 2.6.36 for uniprocessor 32-bit PowerPC
 linux-image-2.6.36-trunk-powerpc-smp - Linux 2.6.36 for multiprocessor 32-bit PowerPC
 linux-image-2.6.36-trunk-powerpc64 - Linux 2.6.36 for 64-bit PowerPC
 linux-image-2.6.36-trunk-r4k-ip22 - Linux 2.6.36 for SGI IP22
 linux-image-2.6.36-trunk-r5k-cobalt - Linux 2.6.36 for Cobalt
 linux-image-2.6.36-trunk-r5k-ip32 - Linux 2.6.36 for SGI IP32
 linux-image-2.6.36-trunk-s390x - Linux 2.6.36 for IBM zSeries
 linux-image-2.6.36-trunk-s390x-tape - Linux 2.6.36 for IBM zSeries, IPL from tape
 linux-image-2.6.36-trunk-sb1-bcm91250a - Linux 2.6.36 for BCM91250A
 linux-image-2.6.36-trunk-sb1a-bcm91480b - Linux 2.6.36 for BCM91480B
 linux-image-2.6.36-trunk-sh7751r - Linux 2.6.36 for sh7751r
 linux-image-2.6.36-trunk-sh7785lcr - Linux 2.6.36 for sh7785lcr
 linux-image-2.6.36-trunk-sparc64 - Linux 2.6.36 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.36-trunk-sparc64-smp - Linux 2.6.36 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.36-trunk-versatile - Linux 2.6.36 for Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.36 - Linux kernel API manual pages for version 2.6.36
 linux-patch-debian-2.6.36 - Debian patches to version 2.6.36 of the Linux kernel
 linux-source-2.6.36 - Linux kernel source for version 2.6.36 with Debian patches
 linux-support-2.6.36-trunk - Support files for Linux 2.6.36
 linux-tools-2.6.36 - Performance analysis tools for Linux 2.6.36
Closes: 598503 598533 599441 599444 599465 599466 599624 600528
Changes: 
 linux-2.6 (2.6.36-1~experimental.1) experimental; urgency=low
 .
   * New upstream release: http://kernelnewbies.org/Linux_2_6_36
     - writeback: always use sb->s_bdi for writeback purposes (Closes: #599466)
     - i7core_edac: fix panic in udimm sysfs attributes registration
       (Closes: #600528)
 .
   [ Ben Hutchings ]
   * qla4xxx: Fix build on some architectures lacking 64-bit I/O
     (Closes: #598503)
   * [x86] Enable modular TM6000, TM6000_ALSA, TM6000_DVB
   * [x86] Staging: fix Makefile so brcm80211 will actually build
     (Closes: #599465)
   * [x86] Enable modular IDEAPAD_ACPI (Closes: #599444)
   * perf: Enable Perl and Python scripting
     - Move scripts to /usr/share/perf_<version>-core (Closes: #599624)
   * crypto: Explicitly enable algorithm self-tests (Closes: #599441)
   * [x86] Skip looking for ioapic overrides when ioapics are not present
     (Closes: #598533)
   * [x86] ata_piix: Add device ID for ICH4-L
   * [armel/iop32x,ia64,x86] Disable BLK_DEV_PIIX as obsolete
   * [amd64] Disable DRM_I810; i81x chipsets do not support 64-bit processors
   * [x86] Disable DRM_I830; the i915 driver is now used instead
 .
   [ Martin Michlmayr ]
   * Kirkwood: restrict the scope of the PCIe reset workaround
Checksums-Sha1: 
 8793316576f174473b1a11021c7c79cf006d0379 5571 linux-2.6_2.6.36-1~experimental.1.dsc
 d667808c6280ac173a6769d279edb98d83c5beba 88880578 linux-2.6_2.6.36.orig.tar.gz
 6689b964fb41f7bde39526bc2252ba03371cf446 1099145 linux-2.6_2.6.36-1~experimental.1.diff.gz
 1d2dae29d484572ec43df30cddfcbe5a046fa65b 6445532 linux-doc-2.6.36_2.6.36-1~experimental.1_all.deb
 578f58bdd9a10c0d4f19f2a768d542f7ea53f3ed 2859222 linux-manual-2.6.36_2.6.36-1~experimental.1_all.deb
 0f87b84a99cbaf04908934340199c3594b97b9df 775128 linux-patch-debian-2.6.36_2.6.36-1~experimental.1_all.deb
 c3ff2937fd09cf21a0208a24e813fdd7b28eba21 70141994 linux-source-2.6.36_2.6.36-1~experimental.1_all.deb
 b64f7d312760f98034327e8ec71d18a2d11498a8 148348 linux-support-2.6.36-trunk_2.6.36-1~experimental.1_all.deb
 34f23becc732787ae6c5f03db14651965af53652 137458 firmware-linux-free_2.6.36-1~experimental.1_all.deb
 517eed71bda60f597ce1d821e1a8fda48cfe9b62 156076 linux-base_2.6.36-1~experimental.1_all.deb
 a9f6d79316c0307cdc1d67ccb05ebed32375756d 29258308 linux-image-2.6.36-trunk-amd64_2.6.36-1~experimental.1_amd64.deb
 203281067e04db60bf5b74138dd3b5ca2f96c3e9 404867660 linux-image-2.6.36-trunk-amd64-dbg_2.6.36-1~experimental.1_amd64.deb
 5b96c56bd84a80040e83bf13b72acaad5a336f88 553282 linux-headers-2.6.36-trunk-amd64_2.6.36-1~experimental.1_amd64.deb
 c3c6e806f7ee67998a72826bc1500efc13447da3 4174410 linux-headers-2.6.36-trunk-common_2.6.36-1~experimental.1_amd64.deb
 b3812a85a4b2ca02f0c3adb16781e48ca1b2ab06 132802 linux-headers-2.6.36-trunk-all_2.6.36-1~experimental.1_amd64.deb
 bf050c96b36a65ac5da1dd2bd8d31393d8af8f18 132808 linux-headers-2.6.36-trunk-all-amd64_2.6.36-1~experimental.1_amd64.deb
 7080d3a5002320d57f487b45f8cb021422aa1751 862190 linux-libc-dev_2.6.36-1~experimental.1_amd64.deb
 771bb973c7087cc0e697215696f48cf449a99212 411908 linux-tools-2.6.36_2.6.36-1~experimental.1_amd64.deb
Checksums-Sha256: 
 4ce97274f7c4a91b0961d4b2cbdf116a7421914d39e5bbfaca92ffa42bb4a3ea 5571 linux-2.6_2.6.36-1~experimental.1.dsc
 7802252c73d79a533c4d8a6ed581cec82853efff367e46d14ed640107c567381 88880578 linux-2.6_2.6.36.orig.tar.gz
 474734a5a8887e82c97fadc72d293f976a230a3810a4b7e63988b03270b28335 1099145 linux-2.6_2.6.36-1~experimental.1.diff.gz
 90eba56850784af5426e8adcc9d16498d7d6e9094ce7f216b03ddc8a5855c8e5 6445532 linux-doc-2.6.36_2.6.36-1~experimental.1_all.deb
 97b24049cf8ec549c0745c289bce90c064f293666cc82db0b576d6a540a10205 2859222 linux-manual-2.6.36_2.6.36-1~experimental.1_all.deb
 1265de8e8dc3cda1cfc4a32f100d22f8f8199a2066a37aba3bb1c4b0e871bf0b 775128 linux-patch-debian-2.6.36_2.6.36-1~experimental.1_all.deb
 0dabfaafceb5fa088ccc3d082abe51d5125d491801d7a8872215fc7e82ad8f4e 70141994 linux-source-2.6.36_2.6.36-1~experimental.1_all.deb
 f1fc26d9f8b11d72839ca67671ab4e325a031de1a511330d75d954ee27e61740 148348 linux-support-2.6.36-trunk_2.6.36-1~experimental.1_all.deb
 c98b42fc7a1c60a4c8ee66bd53fd9a602e7fc325a76148bd58492f5d0ee8d3fc 137458 firmware-linux-free_2.6.36-1~experimental.1_all.deb
 2461d639d3b6d724152576327e77a3dd7705d11a835c58ae8c313e68b64670a0 156076 linux-base_2.6.36-1~experimental.1_all.deb
 da9171dbd21a7d54e662d84f0fe9bc8d609a4fb2e98f410f8b678e3177de0836 29258308 linux-image-2.6.36-trunk-amd64_2.6.36-1~experimental.1_amd64.deb
 7165d67ee7af31c59ff88a2d90cded06128809189d8f9799d82d82c33d9cf792 404867660 linux-image-2.6.36-trunk-amd64-dbg_2.6.36-1~experimental.1_amd64.deb
 7eda1b30ff0355c8cc863080435b34810bb780fcdee25ad3ae5f3a0425e88378 553282 linux-headers-2.6.36-trunk-amd64_2.6.36-1~experimental.1_amd64.deb
 3d22125aac4051a9cd2df4ba377e072a50330f2fd53d395b8a32807d766ec354 4174410 linux-headers-2.6.36-trunk-common_2.6.36-1~experimental.1_amd64.deb
 11581c6f750228e88cdc8d324f3d49e4bbaf32ef04b053679949f82b054c2059 132802 linux-headers-2.6.36-trunk-all_2.6.36-1~experimental.1_amd64.deb
 36f591869f7400ce66e618a3e0ca8d4e97208d533b3bc86801ffd8bb1987c7b9 132808 linux-headers-2.6.36-trunk-all-amd64_2.6.36-1~experimental.1_amd64.deb
 e7ee105b8a268fbada92c2db51046a3f411a4b8972398d482beee4e1800ca344 862190 linux-libc-dev_2.6.36-1~experimental.1_amd64.deb
 11f4c0a6fd4842c6f4ad0df0ccccd019526efc8e43f56407ced5233c05a60ed5 411908 linux-tools-2.6.36_2.6.36-1~experimental.1_amd64.deb
Files: 
 2022af96b1e6235729382c11eafbfa40 5571 kernel optional linux-2.6_2.6.36-1~experimental.1.dsc
 957b988a29e1001fc5802d59109e32ad 88880578 kernel optional linux-2.6_2.6.36.orig.tar.gz
 166fcd5f06eb45151c615764c9d8a722 1099145 kernel optional linux-2.6_2.6.36-1~experimental.1.diff.gz
 0b05122fd183ae776496e01883bc53e7 6445532 doc optional linux-doc-2.6.36_2.6.36-1~experimental.1_all.deb
 40eaa416c7e083193af119a8b9419379 2859222 doc optional linux-manual-2.6.36_2.6.36-1~experimental.1_all.deb
 b10f0dc21c4932bc79c3cacca177cd03 775128 kernel optional linux-patch-debian-2.6.36_2.6.36-1~experimental.1_all.deb
 c5fd13d6abec79bb81b10774a7344145 70141994 kernel optional linux-source-2.6.36_2.6.36-1~experimental.1_all.deb
 083d9d00b06060c9cb38a521d125e114 148348 devel optional linux-support-2.6.36-trunk_2.6.36-1~experimental.1_all.deb
 d68ee6898fb7d071e5f3f7bb9b73955b 137458 kernel optional firmware-linux-free_2.6.36-1~experimental.1_all.deb
 779d1084801221851a0447201dbe6d80 156076 kernel optional linux-base_2.6.36-1~experimental.1_all.deb
 9faaedebe8340820b1067227aedb94f7 29258308 kernel optional linux-image-2.6.36-trunk-amd64_2.6.36-1~experimental.1_amd64.deb
 e9af9c2a16479009c012e6cd141b49b2 404867660 debug extra linux-image-2.6.36-trunk-amd64-dbg_2.6.36-1~experimental.1_amd64.deb
 24bcb4b85a8c2cca7e0580b62c599557 553282 kernel optional linux-headers-2.6.36-trunk-amd64_2.6.36-1~experimental.1_amd64.deb
 8a8415fee4fe409055279028d02d1164 4174410 kernel optional linux-headers-2.6.36-trunk-common_2.6.36-1~experimental.1_amd64.deb
 0228c10736095d8f26e873677d225a3b 132802 kernel optional linux-headers-2.6.36-trunk-all_2.6.36-1~experimental.1_amd64.deb
 203681a2b8b04c354abc109cab87ac80 132808 kernel optional linux-headers-2.6.36-trunk-all-amd64_2.6.36-1~experimental.1_amd64.deb
 c96b5cdbc0b08e4e8891c99cb58fd32d 862190 devel optional linux-libc-dev_2.6.36-1~experimental.1_amd64.deb
 364b19434e7d05fe02348c4fb9b55184 411908 kernel optional linux-tools-2.6.36_2.6.36-1~experimental.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzIRDIACgkQeW7Lc5tEHqhpOQCcCrn1Jj9LoIIqV70ESn0ggjH4
s0YAoLiAgA1Dk6kgEEAkyhOefp2aD9rR
=/Zii
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Jan 2011 07:43:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:56:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.